# Apport integration for Ubuntu One client
#
# Copyright 2009 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Stub for Apport"""
# pylint: disable-msg=F0401,C0103
# shut up about apport. We know. We don't want to backport it for pqm
from apport.hookutils import attach_file_if_exists, packaging
import os.path
from xdg.BaseDirectory import xdg_cache_home

u1_client_log = os.path.join(xdg_cache_home, "ubuntuone", "log", 
    "syncdaemon.log")
u1_except_log = os.path.join(xdg_cache_home, "ubuntuone", "log", 
    "syncdaemon-exceptions.log")
u1_oauth_log = os.path.join(xdg_cache_home, "ubuntuone", "log",
                            "oauth-login.log")

def add_info(report):
    """add report info"""
    attach_file_if_exists(report, u1_client_log)
    attach_file_if_exists(report, u1_except_log)
    attach_file_if_exists(report, u1_oauth_log)
    

    packages = ['ubuntuone-client', 
                'ubuntuone-storage-protocol', 
                'ubuntuone-ppa']

    versions = ''
    for package in packages:
        try:
            version = packaging.get_version(package)
        except ValueError:
            version = 'N/A'
        if version is None:
            version = 'N/A'
        versions += '%s %s\n' % (package, version)
    report['UbuntuoneClientPackages'] = versions
